View Issue Details

IDProjectCategoryView StatusLast Update
0003494unrealircdpublic2007-09-16 15:07
ReportertabrisnetAssigned Tosyzop 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinux/x86OSDebian LinuxOS Versiontesting
Product Version3.2.7 
Target VersionFixed in Version3.2.8 
Summary0003494: IPv4 masks don't work in oper blocks
DescriptionThis is on a non-IPv6 build (same on an IPv6 build. I found it in my test builds, but had brushed it off as an IPv6 problem). For some reason if I have an oper userhost like 192.168.*.* it won't match.
Steps To ReproduceCreate operblock with an IPv4 masked userhost. Rehash. try to oper up.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003454 resolvedsyzop Unreal3.2.8 TODO 

Activities

tabrisnet

2007-08-01 14:04

reporter   ~0014649

Excerpt from my build script
-------------------------------------------------------------------
./configure --with-showlistmodes --enable-nospoof --enable-hub \
 --enable-ssl --enable-ziplinks --enable-prefixaq \
 --with-listen=20 --with-dpath=$HOME/ircd \
 --with-spath=$HOME/ircd/ircd --with-nick-history=120000 \
 --with-sendq=3000000 --with-bufferpool=18 \
 --with-hostname=`hostname` --with-permissions=0600 \
 --with-fd-setsize=1024 --enable-dynamic-linking
-------------------------------------------------------------------

SNU

2007-08-01 15:56

reporter   ~0014650

Use CIDR instead!

tabrisnet

2007-08-01 16:05

reporter   ~0014651

Hmm. I guess that would tend to be an improvement. I'll test if that works. ifso, then this ticket can be closed. not that i have access to so do.

tabrisnet

2007-08-01 16:30

reporter   ~0014652

Hmm. Is that documented anywhere? All I see is
- Oper blocks now can have CIDR, as in "userhost *@127.0.0.1/32";
Which does not say you cannot use regular wildcard matching anymore.

Anyhow, that _does_ work, but it has to cause a lot of problems.

meadows

2007-08-04 21:53

reporter   ~0014669

Last edited: 2007-08-04 21:56

CIDR is still optional. Wildcard matching works fine if you use 192.168.* (else I guess there'd be tons of reports on this by now) - it's the probably less common .*.* format it doesn't like.

Tibby

2007-08-05 02:13

reporter   ~0014675

I can confirm that hosts like *@24.32.*.* don't worry anymore; I ended up replacing them all with *@24.32.0.0/16 for example

syzop

2007-09-06 10:00

administrator   ~0014758

if i read this (but have not tested) then it sounds like introduction of cidr in 3.2.7 broke wildcards?

syzop

2007-09-16 12:32

administrator   ~0014776

192.168.1.* works
192.168.* works
192.168.*.* does not work

syzop

2007-09-16 15:06

administrator   ~0014777

fixed in .682
- Fixed oper block bug where ip masks in oper::from::userhost did not always
  work succesfully (ex: 192.168.* worked, but 192.168.*.* didn't). Issue was
  introduced in 3.2.7, reported by tabrisnet (0003494).

thanks for the report.

did extensive testing now.. should work fine.

Issue History

Date Modified Username Field Change
2007-08-01 10:07 tabrisnet New Issue
2007-08-01 14:04 tabrisnet Note Added: 0014649
2007-08-01 15:56 SNU Note Added: 0014650
2007-08-01 16:05 tabrisnet Note Added: 0014651
2007-08-01 16:30 tabrisnet Note Added: 0014652
2007-08-04 21:53 meadows Note Added: 0014669
2007-08-04 21:56 meadows Note Edited: 0014669
2007-08-05 02:13 Tibby Note Added: 0014675
2007-09-06 10:00 syzop Note Added: 0014758
2007-09-06 10:01 syzop Relationship added child of 0003454
2007-09-16 12:32 syzop Note Added: 0014776
2007-09-16 12:32 syzop Status new => confirmed
2007-09-16 15:06 syzop QA => Not touched yet by developer
2007-09-16 15:06 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-09-16 15:06 syzop Status confirmed => resolved
2007-09-16 15:06 syzop Fixed in Version => 3.2.8
2007-09-16 15:06 syzop Resolution open => fixed
2007-09-16 15:06 syzop Assigned To => syzop
2007-09-16 15:06 syzop Note Added: 0014777